# general info
NAME="apr-util"
DESC="Apache Portable Runtime utility library"
VERSION="1.6.3"

# required files
FILES=("https://archive.apache.org/dist/apr/apr-util-${VERSION}.tar.bz2")
HASHES=("b6e8c9b31d938fe5797ceb0d1ff2eb69")

# install and build depends
DEPENDS=("apr" "expat" "libxcrypt")
BUILD=(
  "gdbm" "openldap" "nss"
  "openssl" "python3" "sqlite"
  "unixodbc"
)

PACKAGE(){
  tar xf "${NAME}-${VERSION}.tar.bz2"
  cd "${NAME}-${VERSION}"

  ./configure --prefix=/usr     \
            --with-apr=/usr     \
            --with-gdbm=/usr    \
            --with-openssl=/usr \
            --with-ldap         \
            --with-crypto
  make
  make DESTDIR="${ROOTDIR}" install

  cd .. && rm -r "${NAME}-${VERSION}"
}
