# general info
NAME="pooler"
DESC="Simple MPTP server for serving package pools"
VERSION="24.03m1"

# required files
FILES=(
  "https://git.matterlinux.xyz/Matter/pooler/archive/${VERSION%m*}.tar.gz"
  "pooler.service"
)
HASHES=(
  "4df421306c4b6bd6828b66a3f66693f3d734de169f1fe91348de3b1e5a7abadd"
  "c33e084c1e5be884f174a17856f1704c280b54ae6c4da496f9ce1f207646d173"
)

# install and build depends
DEPENDS=("libmp" "libinih")
BUILD=("gettext")

PACKAGE(){
  tar xf "${VERSION%m*}.tar.gz"
  cd "${NAME}"

  make
  make DESTDIR="${ROOTDIR}" install

  install -Dm644 ../pooler.service "${ROOTDIR}/usr/lib/systemd/system/pooler.service"
  install -Ddm755 "${ROOTDIR}/srv/pools"

  cd .. && rm -r "${NAME}"
}

INSTALL(){
  groupadd -g 1032 pooler
  useradd -c "Pooler MPTP server" -d /srv/pools -g pooler \
    -s /bin/false -u 1032 pooler
  chown -v -R pooler:pooler /srv/pools
  chown -v -R pooler:pooler /etc/pooler
  exit 0
}
